<?php
/**
 * Template Name: Blog-style Front Page
 *
 * Displays a plain blog-style front page without the left sidebar. 
 * Set a Page using this template as the front page display in Settings > Reading for full effect.
 *
 */
 ?>
 
<?php get_header(); ?>

<div id="content">
<?php
	$page = (get_query_var('paged')) ? get_query_var('paged') : 1;
	query_posts( 'paged=' . $page . '&post_per_page=-1&cat=' . get_query_var('cat') );
	while (have_posts()) { 
    the_post(); 
	?>
	        
    <div class="clearfloat blog_style">
    
    <?php if ( function_exists('is_active_sidebar') and is_active_sidebar('pico-index-top') ) { ?>
      <div id="index_top" class="widget_container">
        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('pico-index-top') ) : ?><?php endif; ?>
      </div>
    <?php } ?>
    
      <div class="blog_style_text">
        <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
        <?php the_title(); ?></a></h2>
        
       
        <p class="date"><?php the_time('j F Y'); ?> </p>
        
        <div class="entry">
        <?php
        
          // Cool, you're using WordPress 2.9 Canonical Post Thumbnail. Let's use it.
          if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) { ?>
          <a href="<?php the_permalink() ?>" class="thumbnail" rel="bookmark" title="<?php the_title(); ?>">
          <?php the_post_thumbnail(array(220,175)); ?>
          </a>
        <?php
          }
          
          // If not, we'll just whatever image that appears first on that post.
          else {
            $auto_image = get_post_image (get_the_id(), '', '', '' .get_bloginfo('template_url') .'/scripts/timthumb.php?zc=1&amp;w=220&amp;h=175&amp;src=');
            
            // Show the found image.
            if ($auto_image != false) { ?>
              <a href="<?php the_permalink() ?>" class="thumbnail" rel="bookmark" title="<?php the_title(); ?>">
              <?php echo $auto_image; ?>
              </a>
            <?php
              }
          } // end else
        
          the_content(); 
        ?>
          <p class="read_more">
            <a href="<?php the_permalink() ?>"><?php _e('Read More','pico'); ?></a> &bull;
            <?php comments_popup_link('Add Comment', 'Add Comment', 'Add Comment'); ?>
          </p>
        </div>
      </div>
    </div><!--END LEAD/STICKY POST-->

						
<?php 
  } 
?>
   
  <div class="clearfloat" id="index-pagination">
			 <div class="left"><?php next_posts_link(__('&larr; Older Entries','pico')); ?></div>
			<div class="right"><?php previous_posts_link(__('Newer Entries &rarr;','pico')); ?></div>
  </div>
			
  <?php if ( function_exists('is_active_sidebar') and is_active_sidebar('pico-index-bottom') ) { ?>
    <div id="index_bottom" class="widget_container">
      <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('pico-index-bottom') ) : ?><?php endif; ?>
    </div>
  <?php } ?>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>