<?php
/**
 * Template Name: Sitemap
 *
 * Creates an XHTML sitemap for your site, listing everything.
 * This template lists your feeds, pages, archives, and posts.
 * Credits to Hybrid theme by Justin Tadlock
 *
 */
 ?>
<?php get_header(); ?>

	<div id="content">


		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div class="post page" id="page-<?php the_ID(); ?>">
		
		<h2 class="page_title"><?php the_title(); ?></h2>
			<div class="entry clearfloat">
        <?php the_content(); ?>

        <h3><?php _e('Feeds', 'pico'); ?></h3>

        <ul class="xoxo feeds">
          <li><a href="<?php bloginfo( 'rdf_url' ); ?>" title="<?php esc_attr_e('RDF/RSS 1.0 feed', 'pico'); ?>"><?php _e('<acronym title="Resource Description Framework">RDF</acronym> <acronym title="Really Simple Syndication">RSS</acronym> 1.0 feed', 'pico'); ?></a></li>
          <li><a href="<?php bloginfo( 'rss_url' ); ?>" title="<?php esc_attr_e('RSS 0.92 feed', 'pico'); ?>"><?php _e('<acronym title="Really Simple Syndication">RSS</acronym> 0.92 feed', 'pico'); ?></a></li>
          <li><a href="<?php bloginfo( 'rss2_url' ); ?>" title="<?php esc_attr_e('RSS 2.0 feed', 'pico'); ?>"><?php _e('<acronym title="Really Simple Syndication">RSS</acronym> 2.0 feed', 'pico'); ?></a></li>
          <li><a href="<?php bloginfo( 'atom_url' ); ?>" title="<?php esc_attr_e('Atom feed', 'pico'); ?>"><?php _e('Atom feed', 'pico'); ?></a></li>
          <li><a href="<?php bloginfo( 'comments_rss2_url' ); ?>" title="<?php esc_attr_e('Comments RSS 2.0 feed', 'pico'); ?>"><?php _e('Comments <acronym title="Really Simple Syndication">RSS</acronym> 2.0 feed', 'pico'); ?></a></li>
        </ul><!-- .xoxo .feeds -->

        <h3><?php _e('Pages', 'pico'); ?></h3>

        <ul class="xoxo pages">
          <?php wp_list_pages( array( 'title_li' => false ) ); ?>
        </ul><!-- .xoxo .pages -->

        <h3><?php _e('Category Archives', 'pico'); ?></h3>

        <ul class="xoxo category-archives">
          <?php wp_list_categories( array( 'feed' => __('RSS', 'pico'), 'show_count' => true, 'use_desc_for_title' => false, 'title_li' => false ) ); ?>
        </ul><!-- .xoxo .category-archives -->

        <h3><?php _e('Author Archives', 'pico'); ?></h3>

        <ul class="xoxo author-archives">
          <?php wp_list_authors( array( 'exclude_admin' => false, 'show_fullname' => true, 'feed' => __('RSS', 'pico'), 'optioncount' => true, 'title_li' => false ) ); ?>
        </ul><!-- .xoxo .author-archives -->

        <h3><?php _e('Yearly Archives', 'pico'); ?></h3>

        <ul class="xoxo yearly-archives">
          <?php wp_get_archives( array( 'type' => 'yearly', 'show_post_count' => true ) ); ?>
        </ul><!-- .xoxo .yearly-archives -->

        <h3><?php _e('Monthly Archives', 'pico'); ?></h3>

        <ul class="xoxo monthly-archives">
          <?php wp_get_archives( array( 'type' => 'monthly', 'show_post_count' => true ) ); ?>
        </ul><!-- .xoxo .monthly-archives -->

        <h3><?php _e('Weekly Archives', 'pico'); ?></h3>

        <ul class="xoxo weekly-archives">
          <?php wp_get_archives( array( 'type' => 'weekly', 'show_post_count' => true ) ); ?>
        </ul><!-- .xoxo .weekly-archives -->

        <h3><?php _e('Daily Archives', 'pico'); ?></h3>

        <ul class="xoxo daily-archives">
          <?php wp_get_archives( array( 'type' => 'daily', 'show_post_count' => true ) ); ?>
        </ul><!-- .xoxo .daily-archives -->

        <h3><?php _e('Tag Archives', 'pico'); ?></h3>

        <p class="tag-cloud">
          <?php wp_tag_cloud( array( 'number' => 0 ) ); ?>
        </p><!-- .tag-cloud -->

        <h3><?php _e('Blog Posts', 'pico'); ?></h3>

        <ul class="xoxo post-archives">
          <?php wp_get_archives( array( 'type' => 'postbypost' ) ); ?>
        </ul><!-- .xoxo .post-archives -->

        <?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'pico'), 'after' => '</p>' ) ); ?>
			</div>
    <?php edit_post_link(__('Edit this entry','pico'), '<p class="edit_post">{ ', ' }</p>'); ?>  
		</div>
        
		<?php endwhile; endif; ?>
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>